void printstr(char *str);

char string2[] = "hijklmn";

void function()
{
  char string[] = "abcdefg";
  printstr(string);
  printstr(string2);
  string[0] = 'A';
  string[1] = 'B';
  string[2] = 'C';
  string2[0] = 'H';
  string2[1] = 'I';
  string2[2] = 'J';
  printstr(string);
  printstr(string2);
}

int main()
{
  function();
  function();

  return 0;
}
